/**
 * Copyright (c) 2022 - present xmweb-ui Authors.
 * Copyright (c) 2022 - present Huawei Cloud Computing Technologies Co., Ltd.
 *
 * Use of this source code is governed by an MIT-style license.
 *
 * THE OPEN SOURCE SOFTWARE IN THIS PRODUCT IS DISTRIBUTED IN THE HOPE THAT IT WILL BE USEFUL,
 * BUT WITHOUT ANY WARRANTY, WITHOUT EVEN THE IMPLIED WARRANTY OF MERCHANTABILITY OR FITNESS FOR
 * A PARTICULAR PURPOSE. SEE THE APPLICABLE LICENSES FOR MORE DETAILS.
 *
 */
declare const _default: import("@vue/runtime-core").DefineComponent<{
    multiStage: {
        type: BooleanConstructor;
        default: boolean;
    };
    checkedStatus: {
        type: BooleanConstructor;
        default: boolean;
    };
    visibleArrow: {
        type: BooleanConstructor;
        default: boolean;
    };
    arrowOffset: {
        type: NumberConstructor;
        default: number;
    };
    placement: {
        type: StringConstructor;
        default: string;
    };
    popperClass: StringConstructor;
    popperAppendToBody: {
        type: BooleanConstructor;
        default: boolean;
    };
    activeColor: StringConstructor;
    closeOnClickOutside: {
        type: BooleanConstructor;
        default: boolean;
    };
    closeOnClickOverlay: {
        type: BooleanConstructor;
        default: boolean;
    };
    direction: {
        type: StringConstructor;
        default: string;
    };
    duration: {
        type: (StringConstructor | NumberConstructor)[];
        default: number;
    };
    overlay: {
        type: BooleanConstructor;
        default: boolean;
    };
    zIndex: (StringConstructor | NumberConstructor)[];
    maxHeight: {
        type: (StringConstructor | NumberConstructor)[];
        default: string;
    };
    options: {
        type: ArrayConstructor;
        default: () => never[];
    };
    textField: {
        type: StringConstructor;
        default: string;
    };
    xm_mode: StringConstructor;
    xm_mode_root: BooleanConstructor;
    xm_template: (ObjectConstructor | FunctionConstructor)[];
    xm_renderless: FunctionConstructor;
    xm_theme: StringConstructor;
    xm_chart_theme: ObjectConstructor;
}, () => import("@vue/runtime-core").VNode<import("@vue/runtime-core").RendererNode, import("@vue/runtime-core").RendererElement, {
    [key: string]: any;
}>, unknown, {}, {}, import("@vue/runtime-core").ComponentOptionsMixin, import("@vue/runtime-core").ComponentOptionsMixin, {}, string, import("@vue/runtime-core").VNodeProps & import("@vue/runtime-core").AllowedComponentProps & import("@vue/runtime-core").ComponentCustomProps, Readonly<import("@vue/runtime-core").ExtractPropTypes<{
    multiStage: {
        type: BooleanConstructor;
        default: boolean;
    };
    checkedStatus: {
        type: BooleanConstructor;
        default: boolean;
    };
    visibleArrow: {
        type: BooleanConstructor;
        default: boolean;
    };
    arrowOffset: {
        type: NumberConstructor;
        default: number;
    };
    placement: {
        type: StringConstructor;
        default: string;
    };
    popperClass: StringConstructor;
    popperAppendToBody: {
        type: BooleanConstructor;
        default: boolean;
    };
    activeColor: StringConstructor;
    closeOnClickOutside: {
        type: BooleanConstructor;
        default: boolean;
    };
    closeOnClickOverlay: {
        type: BooleanConstructor;
        default: boolean;
    };
    direction: {
        type: StringConstructor;
        default: string;
    };
    duration: {
        type: (StringConstructor | NumberConstructor)[];
        default: number;
    };
    overlay: {
        type: BooleanConstructor;
        default: boolean;
    };
    zIndex: (StringConstructor | NumberConstructor)[];
    maxHeight: {
        type: (StringConstructor | NumberConstructor)[];
        default: string;
    };
    options: {
        type: ArrayConstructor;
        default: () => never[];
    };
    textField: {
        type: StringConstructor;
        default: string;
    };
    xm_mode: StringConstructor;
    xm_mode_root: BooleanConstructor;
    xm_template: (ObjectConstructor | FunctionConstructor)[];
    xm_renderless: FunctionConstructor;
    xm_theme: StringConstructor;
    xm_chart_theme: ObjectConstructor;
}>>, {
    xm_mode_root: boolean;
    duration: string | number;
    placement: string;
    options: unknown[];
    direction: string;
    maxHeight: string | number;
    popperAppendToBody: boolean;
    textField: string;
    arrowOffset: number;
    visibleArrow: boolean;
    closeOnClickOverlay: boolean;
    overlay: boolean;
    multiStage: boolean;
    checkedStatus: boolean;
    closeOnClickOutside: boolean;
}, {}>;
export default _default;
